Advisories


   openSUSE Security Update: Security update for python-sqlparse
______________________________________________________________________________

Announcement ID:    openSUSE-SU-2021:3857-1
Rating:             moderate
References:         #1190741 
Cross-References:   CVE-2021-32839
CVSS scores:
                    CVE-2021-32839 (NVD) : 7.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
                    CVE-2021-32839 (SUSE): 6.5 CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H

Affected Products:
                    openSUSE Leap 15.3
______________________________________________________________________________

   An update that fixes one vulnerability is now available.

Description:

   This update for python-sqlparse fixes the following issues:

   - CVE-2021-32839: Fixed ReDoS via regular expression in StripComments
     filter (bsc#1190741).


Patch Instructions:

   To install this openSUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - openSUSE Leap 15.3:

      zypper in -t patch openSUSE-SLE-15.3-2021-3857=1



Package List:

   - openSUSE Leap 15.3 (noarch):

      python3-sqlparse-0.4.2-3.3.1


References:

   https://www.suse.com/security/cve/CVE-2021-32839.html
   https://bugzilla.suse.com/1190741

openSUSE: 2021:3857-1 moderate: python-sqlparse

December 1, 2021
An update that fixes one vulnerability is now available

Description

This update for python-sqlparse fixes the following issues: - CVE-2021-32839: Fixed ReDoS via regular expression in StripComments filter (bsc#1190741).

Patch

To install this openSUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: - openSUSE Leap 15.3: zypper in -t patch openSUSE-SLE-15.3-2021-3857=1

Package List

- openSUSE Leap 15.3 (noarch): python3-sqlparse-0.4.2-3.3.1

Severity
Announcement ID: openSUSE-SU-2021:3857-1
Rating: moderate
References: #1190741
Cross-References: CVE-2021-32839
CVSS scores: CVE-2021-32839 (NVD) : 7.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H CVE-2021-32839 (SUSE): 6.5 CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H
Affected Products: openSUSE Leap 15.3 .

References

https://www.suse.com/security/cve/CVE-2021-32839.html https://bugzilla.suse.com/1190741

Related News

Ad
Please enable / Bitte aktiviere JavaScript!
Veuillez activer / Por favor activa el Javascript![ ? ]

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.